Miracle Docs
Channels

Update a channel

PATCH
/v1/admin/channels/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.miracle.com/v1/admin/channels/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "livemode": true,
    "merchantId": "c3073b9d-edd0-49f2-a28d-b7ded8ff9a8b",
    "terminalId": "57e69e1b-2c00-4a26-b5e3-44617c6cc659",
    "status": "active",
    "applicableCurrencies": [
      "string"
    ],
    "exchangeCurrency": "string",
    "retryEnabled": true,
    "cascadingEnabled": true,
    "priority": 0,
    "weight": 0,
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty
Empty

On this page